WMrack(1)

NAME
wmrack - CD Player and Mixer dock applet

SYNOPSIS
wmrack [options]

DESCRIPTION
The wmrack is a combined CD player and Audio Mixer designed to be used with WindowMaker's dock. It can also be used with other window managers, and can be swallowed by a variety of tools, such as fvwm's button bar or gnome's panel. wmrack handles mounted volumes, opens and closes the tray, can display the current position in various ways and skips also data tracks. It gives you access to all your mixer devices, so that you may change volume or balance and set the record source.

OPTIONS

-b COLSPEC or --background COLSPEC
    Specifies the background color of the LED. It is available through the symbolic XPM colorname led_color_black.

    The other colors of the LED can be changed using the -l option.

    To find out what colors are available, try showrgb (part of X11).

-d DEVICE or --device DEVICE
    Sets the CD-ROM device. This defaults to /dev/cdrom.

-h or  --help
    Prints a summary of supported options and their default values.

-l COLSPEC or --ledcolor COLSPEC
    Specifies the color of the led. It is darkened two times (for a total of three colors) to get all needed colors. So better use a bright color.

    For the design of own XPM, the ledcolor is made available through the use of the symbolic xpm color names led_color_high, led_color_low, and led_color_med. There is also a symbol named led_color_back to get the default background color of the led-display. It can be changed using the -l option.

    To find out what colors are available, try showrgb (part of X11).

-m DEVICE or --mixer DEVICE
    Sets the MIXER device. This defaults to /dev/mixer.

-p or --noprobe
    This option disables the startup probing for a cd. Default is to probe the cdrom. This will close the tray and read the TOC of the cd (if there is one).

-s STYLEFILE or --style STYLEFILE
    wmrack will try to load its window-pixmaps from the specified STYLEFILE. It will search this file for XPM pixmaps named cdnodisc, cdplaying, cdpaused, cdstopped, cdled, mixer, and mixled. If some of those are not defined, the compile-time defaults will be used.

-w or --withdrawn
    Starts the wmrack in withdrawn window state. This is useful to dock the window to WindowMaker.

-M MODESTRING or --mode MODESTRING
    By default wmrack will startup showing the CDROM controls. With this option you can specify what controls should be shown. Valid MODESTRINGS are cdrom, and mixer.

INVOCATION
wmrack can be called using different ways. The most common invocation is from your dock file:

        wmrack
        WMRack
        POSITION 2 -1 0
        wmrack
        --withdrawn

Another way to call wmrack is to swallow it into the afterstep(1) Wharf(1). This is best done placing the following line into your .steprc:

    *Wharf WMRack nil Swallow "wmrack" wmrack &

This method will also work for other button-bars, such as the FvwmButtons(1) of the fvwm(1) window manager.

GENERAL USAGE
The wmrack features a simple click interface. All times the buttons will show a standard sign which specifies the action it will do. But there are some notable extensions to that explained below.

You can always change the controls shown by clicking the middle button (this is the one which shows a disc or a speaker) of the controls. This button will show a symbol of the controls you can change to by pressing it (the disc and the speaker).

If you click this button with Control-Button-3, WMrack will exit.

CDROM USAGE
The default behavior of wmrack is to try to read the cdrom at startup. If there was no cd, it will not try again unless you press the close or play button. This will close the cdrom and again try to read it. Unless there is a cd, wmrack will again suspend until your next action.

open tray
    Clicking an open/eject button with button-3 will always open the tray.

skip
    By pressing the button down and holding it on one of the prev/next track buttons the cdrom goes fast forward or backward.

time left
    A button-1 click into the time display switches between time running and time left display.

total time
    A button-2 click into the time display switches between track and total time.

repeat
    A button-3 click into the time display cycles through normal mode, repeat all, and repeat one play mode.

The cd player also offers a play list functionality. By default it will map out all data tracks of the current cdrom, but you can also randomize the list or program it to the tracks you want to hear. These functions are only available while a cdrom is in the drive and the drive is stopped.

randomize
    Clicking Control-Button-3 to the track display causes the playlist to be randomized. No track will repeat, the tracks are just mixed up.

    You will see the short message RA:ND in the time display.

start programming
    Click Control-Button-1 into the track display to start programing a new playlist. You will see a short PR:OG message in the time display and a M will show up in the lower left corner of the display.

add track to list
    Use the prev-/next-track buttons to select a track and click Mod1-Button-1 into the track display to add it to the playlist. The time display will show the number of the tracks in the list and the number of the selected track for a short time and will than switch back and display the total ength of the playlist.

clear list
    To abort the programing of a playlist click Control-Button-1 into the track-display.

start playing the list
    Simply press the PLAY button to play the list.

MIXER USAGE
Main controls of the mixer are the two volume scales at the left and the right side of the display. Using the mouse the scales can be modified.

button-1
    change volume of clicked scale

button-2
    change volume of both scales

button-3
    change the balance of the volume

Clicking into the alphanumeric display changes the currently shown mixer device. Some of the valid devices are VOlume, BAss, TReble, SYnth, PCm, SPeaker, LIne, MIc, CD, MiXer, Pcm2, REcord, IGain, OGain, Line1, Line2, and Line3. You can also remove devices from this list.

button-1
    go to the next device

button-2
    go to the main volume (first device)

button-3
    go to the previous device

control-button-1
    show all devices

control-button-3
    remove current device

Below the change-controls button is the record source button. It show either a 'X' and is inactive, or it show a speaker or a recording sign and is active. By pressing this button you can change the source of your recordings.

button-1
    toggle record source button

button-2
    set as record source and clear all other

COPYRIGHTS
Copyright 1997, Oliver Graf <ograf@fga.de>. 2003-2006, Chris Waters Most styles copyright 1997, Heiko Wagner <hwagner@fga.de>.

No guarantees or warranties or anything are provided or implied in any way whatsoever. Use this program at your own risk. Permission to use this program for any purpose is given, as long as the copyright is kept intact. The program and its source code may be copied under the terms of the GNU General Public License. See the file "COPYING" for details.

AUTHORS
Oliver Graf <ograf@fga.de> -- original author

Chris Waters <xtifr@users.sourceforge.net> -- current maintainer

Heiko Wagner <hwagner@fga.de> -- the hyped window shapes

CREDITS
Rob Malda <malda@cs.hope.edu> -- who had written ascd and asmixer

Michael Kurz <mkurz@rzws.fh-aalen.de> -- also for ascd and asmixer

Thomas McWilliams <tgm@netcom.com> -- who has done Workbone